﻿// 基本クラス情報インポート
import * as wjcCore from 'wijmo/wijmo';
import * as wjcGrid from 'wijmo/wijmo.grid';
import * as wjInput from 'wijmo/wijmo.angular2.input';
import { Component, EventEmitter, Input } from '@angular/core';


// jquery用の宣言
declare var $: any; 

// 編集画面コンポーネント
@Component({
    selector: "detail-dialog",
    templateUrl: '../src/SampleEdit.html'
})

export class MastEmpEdit  {
    @Input() mastData: wjcCore.CollectionView;

    selfCurrentItem: wjcCore.CollectionView;

    // コンストラクタ
    constructor() {
    }
    // 画面初期化処理
    ngOnInit() {
        // ダイアログのドラッグ機能の追加
        //$('.modal-dialog').draggable({ handle: ".modal-header" });
    }
    ngAfterViewInit() {
        console.log("afteerViewInit");
        var self = this;
        // 編集画面クローズ時
        $('#dlgDetail').on('hide.bs.modal', function (e) {
            self.mastData.cancelEdit();
            self.mastData.cancelNew();
        });
    }
    // 編集ダイアログでのCancelボタン押下時
    btnCancel_Click() {        
        // 画面クローズ処理でキャンセル
        this.mastData.moveCurrentToPosition(-1);
    }
}
